tigase.io

## Enum TLSStatus

- java.lang.Object
- - java.lang.Enum<TLSStatus>
  - - tigase.io.TLSStatus

- All Implemented Interfaces:
    Serializable, Comparable<TLSStatus>

      public enum TLSStatus
      extends Enum<TLSStatus>

  Describe class TLSStatus here. Created: Sat Mar 5 09:28:45 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `NEED_READ`
    `NEED_WRITE`
    `OK`
    `UNDERFLOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TLSStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TLSStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEED_WRITE

          public static final TLSStatus NEED_WRITE

    - #### NEED_READ

          public static final TLSStatus NEED_READ

    - #### UNDERFLOW

          public static final TLSStatus UNDERFLOW

    - #### CLOSED

          public static final TLSStatus CLOSED

    - #### OK

          public static final TLSStatus OK

  - ### Method Detail

    - #### values

          public static TLSStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLSStatus c : TLSStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLSStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 "Tigase, Inc.". All rights reserved.